SbVec3b Class Reference

`#include <Inventor/SbVec3b.h>`

## Public Member Functions

| SbVec3b (const int8_t v[3])
| SbVec3b (int8_t x, int8_t y, int8_t z)
| SbVec3b (const SbVec3ub &v)
| SbVec3b (const SbVec3s &v)
| SbVec3b (const SbVec3i32 &v)
| SbVec3b (const SbVec3f &v)
| SbVec3b (const SbVec3d &v)
SbVec3b & | setValue (int8_t v[3])
SbVec3b & | setValue (int8_t x, int8_t y, int8_t z)
SbVec3b & | setValue (const SbVec3ub &v)
SbVec3b & | setValue (const SbVec3s &v)
SbVec3b & | setValue (const SbVec3i32 &v)
SbVec3b & | setValue (const SbVec3f &v)
SbVec3b & | setValue (const SbVec3d &v)
const int8_t * | getValue (void) const
void | getValue (int8_t &x, int8_t &y, int8_t &z) const
int8_t & | operator[] (int i)
const int8_t & | operator[] (int i) const
int32_t | dot (SbVec3b v) const
void | negate (void)
SbVec3b & | operator*= (int d)
SbVec3b & | operator*= (double d)
SbVec3b & | operator/= (int d)
SbVec3b & | operator/= (double d)
SbVec3b & | operator+= (SbVec3b v)
SbVec3b & | operator-= (SbVec3b v)
SbVec3b | operator- (void) const

## Protected Attributes

int8_t | vec [3]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec3b.h
- SbVec3b.cpp